<?php

Auth::routes();

Route::get('/test/deal', 'TestController@deal');
Route::get('/test/mail', 'TestController@mail');
Route::get('/test', 'TestController@index');
Route::view('/test/create', 'test');
Route::post('/test', 'TestController@storeContact');
Route::get('/', 'IndexController@index');
Route::get('packages/listing/{category_id}', 'PackagesController@listing');

Route::get('/blog', 'BlogController@index');
Route::get('/blogs', 'BlogController@index');
Route::get('/blogs/{key}', 'BlogController@blogCategories');
Route::get('blog/{key}', 'BlogController@blog');
Route::get('about', 'AboutController@index');
Route::get('contact-us', 'ContactController@index');
Route::post('email-us', 'ContactController@contact_submit');

Route::get('frequently-asked-questions', 'FAQController@index');
Route::get('boiler_installation', 'BoilerInstallationController@index');
Route::get('corporate', 'CorporateController@index');
Route::post('corporate-us', 'CorporateController@corporate_submit');

Route::get('account', 'AccountsController@index');
Route::get('login', 'LoginController@index');

Route::get('yourflo', 'YourFloController@index');
Route::get('gdpr', 'GdprPolicyController@index');
Route::get('complaints', 'ComplaintsPolicyController@index');
Route::get('cancellation', 'CancellationPolicyController@index');

Route::get('privacy_policy', 'PrivacyPolicyController@index');
Route::get('landlord_care', 'LandLordCareController@index');
Route::get('get_covered', 'GetCoveredController@index');

Route::get('landlord_yourflo', 'LandlordYourFloController@index');
Route::post('applynow', 'ApplyNowController@save');
Route::get('login', 'LoginController@index');
Route::post('login', 'LoginController@login');

Route::get('checkout', 'CheckoutController@index');
Route::post('validatestep1', 'CheckoutController@validatestep1');
Route::post('validatestep2', 'CheckoutController@validatestep2');
Route::post('finalcheckout', 'CheckoutController@finalcheckout');
Route::get('checkout/success', 'CheckoutController@success');
Route::post('checkout/login', 'CheckoutController@login');
Route::get('checkout/getStripePlan','CheckoutController@getStripePlan');

Route::get('my-package', 'AccountsController@mypackage');
Route::get('account', 'AccountsController@index');
Route::post('account/update', 'AccountsController@update');
Route::get('my-payment-method', 'AccountsController@mypaymentmethod');
Route::get('my-transactions', 'AccountsController@mytransactions');

// pdf
Route::get('my-transaction/pdf/{number}', 'AccountsController@transactionPDF');


Route::get('transaction/{number}', 'AccountsController@transaction');

Route::get('logout', 'LogoutController@index');
Route::get('terms', 'TermsAndConditionsController@index');
Route::post('equiry', 'EnquireController@equiry');

Route::get('what-we-cover', 'ProductController@index');
Route::post('engineers', 'BecomeEngineerController@register');

Route::get('address/{key}', 'AddressController@index');
Route::get('/event/get', 'WebHookEventCheck@event');
Route::get('gocardless', 'GocardlessController@remote');
Route::get('gocardless/cancelled', 'GocardlessController@cancelled');
Route::get('gocardless/events', 'GocardlessController@events');
Route::get('gocardless/createInvoices', 'GocardlessController@createInvoices');
// Subsription Events
Route::get('stripe/events', 'StripeEventController@events');

Route::get('stripe/sendInvoices', 'StripeEventController@sendInvoices');

Route::get('forgot_password', 'ForgotPasswordController@index');
Route::post('change', 'ForgotPasswordController@change');

Route::get('reset_password/{key}', 'ForgotPasswordController@resetPassword');
Route::post('reset', 'ForgotPasswordController@reset');

Route::get('/send-mail-using-mailchimp', [MailChimpController::class, 'index'])->name('send.mail.using.mailchimp.index');


Route::get('notify', 'ThankYouController@notify');
Route::get('thank-you', 'ThankYouController@index');
Route::get('/order_successful', 'ThankYouController@order_successful');

include("admin.php");
Route::get('/{code1}/{code2}', 'PackagesController@package');
Route::get('/{code}', 'PackagesController@category');
